`libnetdude` Manual
Prev |  | Next

# libnd_protocol_inst

## Name

libnd_protocol_inst --

## Synopsis

    void        libnd_proto_inst_init           (LND_ProtoInst *inst,
                                                 LND_Protocol *protocol,
                                                 guint nesting);
    const char* libnd_proto_inst_to_string      (const LND_Protocol *proto,
                                                 guint nesting);
    LND_ProtoData* libnd_proto_data_new         (LND_Protocol *protocol,
                                                 guint nesting,
                                                 guchar *data,
                                                 guchar *data_end);
    void        libnd_proto_data_free           (LND_ProtoData *pd);
    LND_ProtoInfo* libnd_proto_info_new         (LND_Protocol *proto,
                                                 guint nesting);
    void        libnd_proto_info_free           (LND_ProtoInfo *pinf);

## Description

## Details

### libnd_proto_inst_init ()

    void        libnd_proto_inst_init           (LND_ProtoInst *inst,
                                                 LND_Protocol *protocol,
                                                 guint nesting);

`inst` :

`protocol` :

`nesting` :

### libnd_proto_inst_to_string ()

    const char* libnd_proto_inst_to_string      (const LND_Protocol *proto,
                                                 guint nesting);

`proto` :

`nesting` :

Returns :

### libnd_proto_data_new ()

    LND_ProtoData* libnd_proto_data_new         (LND_Protocol *protocol,
                                                 guint nesting,
                                                 guchar *data,
                                                 guchar *data_end);

`protocol` :

`nesting` :

`data` :

`data_end` :

Returns :

### libnd_proto_data_free ()

    void        libnd_proto_data_free           (LND_ProtoData *pd);

`pd` :

### libnd_proto_info_new ()

    LND_ProtoInfo* libnd_proto_info_new         (LND_Protocol *proto,
                                                 guint nesting);

`proto` :

`nesting` :

Returns :

### libnd_proto_info_free ()

    void        libnd_proto_info_free           (LND_ProtoInfo *pinf);

`pinf` :

Prev | Home | Next
libnd_protocol | Up | libnd_protocol_plugin